'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createMenu;

var _electron = require('electron');

var _electron2 = _interopRequireDefault(_electron);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// createMenu.js

function createMenu(options) {

  var templateMenu = [{ label: 'File',
    submenu: [{ label: 'Import',
      submenu: [{ label: 'Normal', click: function click() {
          options.importFile();
        }
      }, { label: 'To Children topic', click: function click() {
          options.importFileToChild();
        }
      }, { label: 'To Note', click: function click() {
          options.importFileToNote();
        }
      }] }, { label: 'Export', click: function click() {
        options.sendExport();
      }
    },
    //{label: 'Export and copy to File', click(){ options.sendExportFromWindow() }},
    { type: 'separator' }, { role: 'quit' }] }, { label: 'Browse',
    submenu: [{ label: 'GoHome', click: function click() {
        options.sendGoHome();
      }
    }, { label: 'Forward', click: function click() {
        options.sendGoForward();
      }
    }, { label: 'Back', click: function click() {
        options.sendGoBack();
      }
    }, { type: 'separator' }, { label: 'get URL', click: function click() {
        options.sendGetUrl();
      }
    }] }, { label: 'Edit',
    submenu: [{ role: 'undo' }, { role: 'redo' }, { type: 'separator' }, { role: 'cut' }, { role: 'copy' }, { role: 'paste' }, { role: 'delete' }, { type: 'separator' }, { label: 'Bold', click: function click() {
        options.sendSetBold();
      }
    }, { label: 'Italic', click: function click() {
        options.sendSetItalic();
      }
    }, { label: 'Underline', click: function click() {
        options.sendSetUnderline();
      }
    }] }, { label: 'View',
    submenu: [{ role: 'reload' },
    //{role: 'forcereload'},
    { type: 'separator' }, { label: 'Zoom 100%', click: function click() {
        options.sendZoom100();
      }
    }, { label: 'Zoom In', click: function click() {
        options.sendZoomIn();
      }
    }, { label: 'Zoom Out', click: function click() {
        options.sendZoomOut();
      }
    }, { type: 'separator' }, { label: 'Count', click: function click() {
        options.sendStrLen();
      }
    }] }, { label: 'Setup',
    // Debug時専用のメニュー
    submenu: [{ label: 'Set Home',
      submenu: [{ label: 'workflowy.com',
        id: 'set_home_workflowy',
        type: 'checkbox',
        checked: true,
        click: function click() {
          options.sendSetHomeWF();
        }
      }, { label: 'dynalist.io',
        id: 'set_home_dynalist',
        type: 'checkbox',
        checked: false,
        click: function click() {
          options.sendSetHomeDL();
        }
      }] }, { role: 'toggledevtools' }] }, { label: 'Help',
    submenu: [{ label: 'About', click: function click() {
        options.sendViewVersion();
      }
    }] }];

  var menu = _electron.Menu.buildFromTemplate(templateMenu);

  return menu;
}