// createMenu.js

import electron from 'electron'
import { Menu } from 'electron'

export default function createMenu ( options ){

  const templateMenu = [
    {label: 'File',
     submenu: [
       {label: 'Import',
 submenu: [
          {label: 'Normal', click(){ options.importFile() } },
          {label: 'To Children topic', click(){ options.importFileToChild() } },
   {label: 'To Note', click(){ options.importFileToNote() } }
 ]},
       {label: 'Export', click(){ options.sendExport() }},
       //{label: 'Export and copy to File', click(){ options.sendExportFromWindow() }},
       {type: 'separator'},
       {role: 'quit'}
     ]},
    {label: 'Browse',
     submenu: [
       {label: 'GoHome', click(){ options.sendGoHome() }},
       {label: 'Forward', click(){ options.sendGoForward() }},
       {label: 'Back', click(){ options.sendGoBack() }},
       {type: 'separator'},
       {label: 'get URL', click(){ options.sendGetUrl() }}
     ]},
    {label: 'Edit',
     submenu: [
       {role: 'undo'},
       {role: 'redo'},
       {type: 'separator'},
       {role: 'cut'},
       {role: 'copy'},
       {role: 'paste'},
       {role: 'delete'},
       {type: 'separator'},
       {label: 'Bold', click(){ options.sendSetBold() }},
       {label: 'Italic', click(){ options.sendSetItalic() }},
       {label: 'Underline', click(){ options.sendSetUnderline() }}
     ]},
    {label: 'View',
     submenu: [
       {role: 'reload'},
       //{role: 'forcereload'},
       {type: 'separator'},
       {label: 'Zoom 100%', click(){ options.sendZoom100() }},
       {label: 'Zoom In', click(){ options.sendZoomIn() }},
       {label: 'Zoom Out', click(){ options.sendZoomOut() }},
       {type: 'separator'},
       {label: 'Count', click(){ options.sendStrLen() }}
     ]},
    {label: 'Setup',
     // Debug時専用のメニュー
     submenu: [
       {label: 'Set Home',
 submenu: [
   {label: 'workflowy.com',
    id: 'set_home_workflowy',
    type: 'checkbox',
    checked: true,
    click(){ options.sendSetHomeWF() }},
   {label: 'dynalist.io',
    id: 'set_home_dynalist',
    type: 'checkbox',
    checked: false,
    click(){ options.sendSetHomeDL() }}
 ]},
       {role: 'toggledevtools'}
     ]},
     {label: 'Help',
      submenu: [
        {label: 'About', click(){ options.sendViewVersion() }}
     ]}
  ]

  let menu = Menu.buildFromTemplate(templateMenu)

  return menu
}

